Upstream information

CVE-2010-4260 at MITRE

Description

Multiple unspecified vulnerabilities in pdf.c in libclamav in ClamAV before 0.96.5 allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted PDF document, aka (1) "bb #2358" and (2) "bb #2396."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 656548 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • clamav >= 0.96.5-0.1.1
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1.ia64
sles11-sp1.x86
sled11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
SAT Patch Nr: 3646
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • clamav >= 0.96.5-0.1.1
sles11.ppc
sles11.ia64
sled11.x86-64
sled11.x86
sles11.s390x
sles11.x86-64
sles11.x86
SAT Patch Nr: 3645
Open Enterprise Server
  • clamav >= 0.96.5-0.1
core9.x86-64
core9.s390
core9.s390x
sles9-nlpos.x86
core9.x86
core9.ia64
sles9-oes.x86
core9.ppc
YOU Patch Nr: 12666
openSUSE 11.1
  • clamav-debuginfo >= 0.96.5-0.1.1
  • clamav-debugsource >= 0.96.5-0.1.1
openSUSE 11.1
  • clamav >= 0.96.5-0.1.1
  • clamav-db >= 0.96.5-0.1.1
openSUSE 11.2
openSUSE 11.3
  • clamav-debuginfo >= 0.96.5-0.2.1
  • clamav-debugsource >= 0.96.5-0.2.1
openSUSE 11.2
openSUSE 11.3
  • clamav >= 0.96.5-0.2.1
  • clamav-db >= 0.96.5-0.2.1
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • clamav >= 0.96.5-0.4.2
sle10-sp3-sdk.x86
sles10-sp3.ia64
sles10-sp3.x86
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.s390x
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
ZYPP Patch Nr: 7274


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 clamav Released
SUSE Linux Enterprise Desktop 10 SP4 clamav Released
SUSE Linux Enterprise Desktop 11 GA clamav Released
SUSE Linux Enterprise Desktop 11 SP1 clamav Released
SUSE Linux Enterprise Desktop 11 SP2 clamav Released
SUSE Linux Enterprise Desktop 11 SP3 clamav Released
SUSE Linux Enterprise Desktop 11 SP4 clamav Released
SUSE Linux Enterprise Server 10 SP3 clamav Released
SUSE Linux Enterprise Server 10 SP4 clamav Released
SUSE Linux Enterprise Server 10 SP4 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP1 clamav Released
SUSE Linux Enterprise Server 11 SP1 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP2 clamav Released
SUSE Linux Enterprise Server 11 SP2 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP3 clamav Released
SUSE Linux Enterprise Server 11 SP3 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP4 clamav Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 clamav Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 clamav Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 clamav Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 clamav Released
SUSE Linux Enterprise Server for VMWare 11 SP2 clamav Released
SUSE Linux Enterprise Server for VMWare 11 SP3 clamav Released